# EventPerfLogEnsureSize

This ensures that a EventPerfLog is at least of a certain size.

### Synopsis

    #include "petsc.h"
    PetscErrorCode EventPerfLogEnsureSize(EventPerfLog eventLog, int size)

Not collective

### Input Paramters

| eventLog | - The EventPerfLog
| size | - The size

### Keywords

log, event, size, ensure

### See Also

EventPerfLogCreate()

Level:intermediate
Location: src/sys/plog/utils/eventLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages